import React from 'react';
import HeaderComponent from '../../components/CommonComponent/HeaderComponent/HeaderComponent'
import Button from '../../components/CommonComponent/ButtonComponent/ButtonComponent';

export default class DevPage extends React.Component {
    constructor(props){
        super(props);
        this.state = {
        }
    }
    render(){
        let props = this.props;
        let {headerInfo , changePages} = props;
        return(
            <div>
                <HeaderComponent
                    showHeader={CONFIG.headerStatus[1]}
                    headerInfo={headerInfo}
                />
                <div className="machineInfo" style={{textAlign:'center', marginTop:'3rem'}}>
                   <p>当前版本号 {CURVERSION}</p>
                   <p>当前端口号 {CONFIG.config.domainPort} </p>
                   <Button text={'首页'} btnContainer={'colfff font30'} style={{background:'#ff7860',marginLeft:'50%',transform:' translate(-50%)',marginTop:'.5rem'}} option={()=>changePages(CONFIG.showPage[13])} />
                </div>
            </div>

        )
    }
}